[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpRmdir

Remove a directory.

## Declaration

Source position: bunxh.inc line 78

`function FpRmdir(`
`path: pChar`
`):cint; function FpRmdir(`
`const path: RawByteString`
`):cint;`

## Description

FpRmdir removes the directory Path from the system. The directory must be empty for this call to succeed, and the user must have the necessary permissions in the parent directory. Only the last component of the directory is removed, i.e. higher-lying directories are not removed.

On success, zero is returned. A nonzero return value indicates failure.

Note: There exist a portable alternative to fpRmDir: system.rmdir. Please use fpRmDir only if you are writing Unix specific code. System.rmdir will work on all operating systems.

## Errors

Extended error information can be retrieved using fpGetErrno.